List instrumentation diagnostics findings
curl --request GET \
--url https://api.uselemma.ai/projects/{project_id}/instrumentation-diagnostics/findings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uselemma.ai/projects/{project_id}/instrumentation-diagnostics/findings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uselemma.ai/projects/{project_id}/instrumentation-diagnostics/findings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"available": true,
"enabled": true,
"last_cycle_at": "2023-11-07T05:31:56Z",
"findings": [
{
"fingerprint": "<string>",
"check_id": "one_root_per_execution",
"agent_name": "<string>",
"tier": "semantic",
"impact": "rendering",
"title": "<string>",
"affected": 123,
"sampled": 123,
"agent_trace_total": 1,
"duration_delta_ms": 123,
"example_names": [
"<string>"
],
"docs_anchor": "building-high-quality-traces#errors",
"docs_url": "<string>",
"fix_template_id": "agent_name_ts",
"detected_at": "2023-11-07T05:31:56Z",
"first_detected_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"window_start": "2023-11-07T05:31:56Z",
"window_end": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>",
"code": "<string>"
}Projects
List instrumentation diagnostics findings
Returns the complete active instrumentation-diagnostics findings for a project owned by the authenticated tenant. Empty when the rollout gate or project preference is off.
GET
/
projects
/
{project_id}
/
instrumentation-diagnostics
/
findings
List instrumentation diagnostics findings
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Project ID.
⌘I